<?php

class actionSistemmessagesMessagesAjax extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()) { cmsCore::error404(); }

        $grid = $this->loadDataGrid('messages');

        $model = cmsCore::getModel($this->name);
 
        $model->setPerPage(admin::perpage);
 
        $filter = array(); 
        $filter_str = $this->request->get('filter', ''); 
        $filter_str = cmsUser::getUPSActual('sistemmessages.messages_list', $filter_str);
 
        if ($filter_str){
            parse_str($filter_str, $filter);
            $model->applyGridFilter($grid, $filter);
        }

        $total = $model->getMessagesCount(); 
        $perpage = isset($filter['perpage']) ? $filter['perpage'] : admin::perpage; 
        $pages = ceil($total / $perpage);

        $messages = $model->getMessages();

        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $messages, $total, $pages);

        $this->halt();

    }

}
