<?php

function grid_messages($controller) {

    $options = array(
        'is_sortable' => false,
        'is_filter' => false,
        'is_pagination' => false,
        'is_draggable' => true,
        'order_by' => 'id',
        'order_to' => 'asc',
        'show_id' => false
    );

    $columns = array(
        'id' => array(
            'title' => 'id',
            'width' => 30,
        ),
        'title' => array(
            'title' => LANG_SISTEMMESSAGES_MESSAGE_TITLE,
            'href' => href_to($controller->root_url, 'edit_message', array('{id}')),
            'width' => 300,
        ),
//        'text' => array(
//            'title' => LANG_SISTEMMESSAGES_MESSAGE_TEXT,
//        ),
//        'for_group' => array(
//            'title' => LANG_SISTEMMESSAGES_MESSAGE_FOR_GROUP,
//        ),
        'style' => array(
            'title' => LANG_SISTEMMESSAGES_MESSAGE_STYLE,
            'width' => 150,
        ),
        'controller' => array(
            'title' => LANG_SISTEMMESSAGES_MESSAGE_CONTROLLER,
            'width' => 200,
        ),
//        'content_type' => array(
//            'title' => LANG_SISTEMMESSAGES_MESSAGE_CONTENT_TYPE,
//        ),
        'time_view' => array(
            'title' => LANG_SISTEMMESSAGES_MESSAGE_TIME_VIEW,
            'width' => 100,
        ),
        'is_enabled' => array(
            'width' => 30,
            'title' => LANG_IS_ENABLED,
            'flag' => true,
            'flag_toggle' => href_to('admin', 'toggle_item', array('{id}', 'sistemmessages_messages', 'is_enabled')),
        )
    );

    $actions = array(
        array(
            'title' => LANG_EDIT,
            'class' => 'edit',
            'href' => href_to($controller->root_url, 'edit_message', array('{id}')),
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'href' => href_to($controller->root_url, 'delete_message', array('{id}')),
            'confirm' => LANG_SISTEMMESSAGES_DELETE_MESSAGE_CONFIRM,
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );
}
