<?php

class sistemmessages extends cmsFrontend {

    public function printMessage($messages) {

        $result = false;

        if ($messages) {

            $user = cmsUser::getInstance();

            foreach ($messages as $message) {

                $key = 'sismes_' . $message['id'];

                $cookie = cmsUser::getCookie($key);

                if (!$cookie) {

                    $for_group = cmsModel::yamlToArray($message['for_group']);

                    if ($this->cms_user->isInGroups($for_group)) {

                        cmsUser::addSessionMessage($message['text'], $message['style']);

                        $result = true;
                    }

                    if ($message['time_view']) {

                        $time = 3600 * $message['time_view'];

                        cmsUser::setCookie($key, $message['id'], $time);
                    }
                }
            }
        }
        return $result;
    }

}
