<?php

    $this->setPageTitle($message['title']);
	
    $this->addBreadcrumb(LANG_SISTEMMESSAGES_CONTROLLER, $this->href_to(''));
    $this->addBreadcrumb(LANG_SISTEMMESSAGES_MESSAGES, $this->href_to('messages'));
    $this->addBreadcrumb($message['title']);

    $this->addToolButton(array(
        'class' => 'edit',
        'title' => LANG_SISTEMMESSAGES_EDIT_MESSAGE,
        'href' => $this->href_to('edit_message', $message['id'])
    ));

    $this->addToolButton(array(
        'class' => 'delete',
        'title' => LANG_SISTEMMESSAGES_DELETE_MESSAGE,
        'href' => $this->href_to('delete_message', $message['id'])
    ));

?>

<h1><?php html($message['title']); ?></h1>

<div id="sistemmessages-message">
	<div class="title"><?php echo $message['title']; ?></div>
	<div class="text"><?php echo $message['text']; ?></div>
	<div class="for_group"><?php echo $message['for_group']; ?></div>
	<div class="style"><?php echo $message['style']; ?></div>
	<div class="controller"><?php echo $message['controller']; ?></div>
	<div class="content_type"><?php echo $message['content_type']; ?></div>
	<div class="time_view"><?php echo $message['time_view']; ?></div>
</div>
