<?php
	
    $this->setPageTitle(LANG_SISTEMMESSAGES_MESSAGES);
    $this->addBreadcrumb(LANG_SISTEMMESSAGES_CONTROLLER);
	
    $this->addToolButton(array(
        'class' => 'add',
        'title' => LANG_SISTEMMESSAGES_ADD_MESSAGE,
        'href' => $this->href_to('add_message')
    ));

?>

<h1><?php echo LANG_SISTEMMESSAGES_MESSAGES; ?></h1>

<?php if (!$messages) { ?>
	<p><?php echo LANG_SISTEMMESSAGES_MESSAGES_NONE; ?></p>
	<?php return; ?>
<?php } ?>

<div id="sistemmessages-messages-list">
    <?php foreach($messages as $message) { ?>
        <div class="sistemmessages-message item">
			<div class="title"><?php echo $message['title']; ?></div>
			<div class="text"><?php echo $message['text']; ?></div>
			<div class="for_group"><?php echo $message['for_group']; ?></div>
			<div class="style"><?php echo $message['style']; ?></div>
			<div class="controller"><?php echo $message['controller']; ?></div>
			<div class="content_type"><?php echo $message['content_type']; ?></div>
			<div class="time_view"><?php echo $message['time_view']; ?></div>
        </div>
    <?php } ?>
</div>
	
<?php if($total > $perpage) { ?>
    <?php echo html_pagebar($page, $perpage, $total); ?>	
<?php } ?>
